%define name nautilus-sendto
%define version 0.7
%define release %mkrel 4

Summary: Send files from nautilus using evolution or gaim
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/nautilus-sendto/%{name}-%{version}.tar.bz2
Patch: nautilus-sendto-0.5-gaim.patch.bz2
# from CVS
Patch1: nautilus-sendto-0.7-packed.patch.bz2
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.es.gnome.org/~telemaco/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: evolution-data-server-devel
BuildRequires: libnautilus-devel >= 2.13.3
BuildRequires: dbus-devel
BuildRequires: gaim-devel
BuildRequires: gnome-bluetooth-devel >= 0.7.0
BuildRequires: gajim
BuildRequires: perl-XML-Parser
Requires: nautilus
#gw it's useless without at least one plugin
Requires: %name-plugin = %version

%description
This application provides integration between nautilus, evolution and gaim.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email or IM account which you want to send
the file/files.

%package gaim
Summary: Send files from nautilus to gaim
Group: Graphical desktop/GNOME
Requires: gaim
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description gaim
This application provides integration between nautilus and gaim.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package gajim
Summary: Send files from nautilus to gaim
Group: Graphical desktop/GNOME
Requires: gajim
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description gajim
This application provides integration between nautilus and gajim.  It
adds a Nautilus context menu component ("Send To...") and features a
dialog for insert the IM account which you want to send the file/files.

%package evolution
Summary: Send files from nautilus to evolution
Group: Graphical desktop/GNOME
Requires: evolution
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description evolution
This application provides integration between nautilus and evolution.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package sylpheed
Summary: Send files from nautilus to sylpheed
Group: Graphical desktop/GNOME
Requires:sylpheed
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description sylpheed
This application provides integration between nautilus and sylpheed.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the email acount which you want to send the
file/files.

%package bluetooth
Summary: Send files from nautilus to bluetooth
Group: Graphical desktop/GNOME
Requires: %name = %version
Provides: %name-plugin = %version-%release

%description bluetooth
This application provides integration between nautilus and bluetooth.
It adds a Nautilus context menu component ("Send To...") and features
a dialog for insert the bluetooth device which you want to send the
file/files.


%prep
%setup -q -n %name-%version
%patch -p1
cd src
%patch1 -p0

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
%find_lang %name
rm -f %buildroot%_libdir/nautilus/extensions-1.0/*.la \
      %buildroot%_libdir/gaim/*.la \
      %buildroot%_libdir/%name/plugins/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc NEWS AUTHORS ChangeLog
%_bindir/nautilus-sendto
%_libdir/nautilus/extensions-1.0/libnautilus-sendto.so
%dir %_libdir/%name/
%dir %_libdir/%name/plugins
%_datadir/nautilus-sendto/

%files gaim
%defattr(-,root,root)
%_libdir/gaim/nautilus.so
%_libdir/%name/plugins/libnstgaim.so

%files gajim
%defattr(-,root,root)
%_libdir/%name/plugins/libnstgajim.so

%files sylpheed
%defattr(-,root,root)
%_libdir/%name/plugins/libnstsylpheed.so

%files evolution
%defattr(-,root,root)
%_libdir/%name/plugins/libnstevolution.so

%files bluetooth
%defattr(-,root,root)
%_libdir/%name/plugins/libnstbluetooth.so

%changelog
* Wed Aug 23 2006 Gtz Waschk <waschk@mandriva.org> 0.7-4mdv2007.0
- pass a URI to the plugin when sending an archive instead of a filename

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- reuild for new dbus

* Tue Jul 25 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- rebuild for new e-d-s

* Sun Jun 25 2006 Götz Waschk <waschk@mandriva.org> 0.7-1mdv2007.0
- New release 0.7

* Sat Jun 24 2006 Gtz Waschk <waschk@mandriva.org> 0.6-1mdv2007.0
- update file list
- New release 0.6

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.0
- rebuild for new libbluetooth

* Sat Apr 15 2006 Gtz Waschk <waschk@mandriva.org> 0.5-1mdk
- bump deps
- drop patch 0
- New release 0.5

* Thu Feb 16 2006 Gtz Waschk <waschk@mandriva.org> 0.4-9mdk
- fix buildrequires

* Wed Dec 14 2005 Gtz Waschk <waschk@mandriva.org> 0.4-8mdk
- patch for new libbtctl
- use mkrel

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 0.4-7mdk
- rebuild for new openssl

* Thu Oct  6 2005 Gtz Waschk <waschk@mandriva.org> 0.4-6mdk
- e-d-s 1.4 rebuild

* Sun Sep 04 2005 Michael Scherer <misc@mandriva.org> 0.4-5mdk
- Rebuild to avoid libglitz deps

* Sun Aug 21 2005 Gtz Waschk <waschk@mandriva.org> 0.4-4mdk
- drop patch

* Tue Aug  9 2005 Götz Waschk <waschk@mandriva.org> 0.4-3mdk
- split the plugins into subpackages

* Wed Aug  3 2005 Götz Waschk <waschk@mandriva.org> 0.4-2mdk
- enable bluetooth

* Wed Aug 03 2005 Götz Waschk <waschk@mandriva.org> 0.4-1mdk
- New release 0.4

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.3-3mdk
- rebuild for new e-d-s

* Thu Jan 20 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- fix buildrequires

* Tue Jan 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.3-1mdk
- update file list
- source URL
- New release 0.3

* Tue Nov  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- update file list
- requires new libgnomeui
- New release 0.2-1

* Fri Sep  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- fix buildrequires

* Thu Sep  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package
